.sm-theme.top {
    z-index: 100;
}
.sm-theme.left {
    z-index: 99;
}
.sm-theme a,
.sm-theme a:hover,
.sm-theme a:focus,
.sm-theme a:active {
    font-weight: bold;
    padding: 15px 25px;
    text-decoration: none;
    text-transform: uppercase;
}
.sm-theme.sm-vertical a,
.sm-theme.sm-vertical a:hover,
.sm-theme.sm-vertical a:focus,
.sm-theme.sm-vertical a:active {
    font-weight: normal;
    padding: 10px 20px;
    text-transform: none;
}
.sm-theme > li:hover > a {
    background-color: rgba(255,255,255,.1);
}
.sm-theme li.selected > a {
    background-color: rgba(0,0,0,.1);
}
.sm-theme a.has-submenu {
    padding-right: 32px !important;
}
.sm-theme a span.sub-arrow {
    line-height: 34px;
    position: absolute;
    top: 50%;
    right: 4px;
    left: auto;
    overflow: hidden;
    width: 34px;
    height: 34px;
    margin-top: -17px;
    text-align: center;
    background-color: rgba(0,0,0,.08);
}
.sm-theme a span.sub-arrow:before {
    font-family: 'FontAwesome';
    font-size: 80%;
    content: '\f107';
}
.sm-theme ul a,
.sm-theme ul a:hover,
.sm-theme ul a:focus,
.sm-theme ul a:active {
    font-weight: normal;
    text-transform: none;
    border-left: 8px solid transparent;
}
.sm-theme ul ul a,
.sm-theme ul ul a:hover,
.sm-theme ul ul a:focus,
.sm-theme ul ul a:active {
    border-left: 16px solid transparent;
}
.sm-theme ul ul ul a,
.sm-theme ul ul ul a:hover,
.sm-theme ul ul ul a:focus,
.sm-theme ul ul ul a:active {
    border-left: 24px solid transparent;
}
.sm-theme ul ul ul ul a,
.sm-theme ul ul ul ul a:hover,
.sm-theme ul ul ul ul a:focus,
.sm-theme ul ul ul ul a:active {
    border-left: 32px solid transparent;
}
.sm-theme ul ul ul ul ul a,
.sm-theme ul ul ul ul ul a:hover,
.sm-theme ul ul ul ul ul a:focus,
.sm-theme ul ul ul ul ul a:active {
    border-left: 40px solid transparent;
}
@media (min-width: 768px) {
    /* Switch to desktop layout
  -----------------------------------------------
     These transform the menu tree from
     collapsible to desktop (navbar + dropdowns)
  -----------------------------------------------*/
    /* start... (it's not recommended editing these rules) */
    .sm-theme ul {
        position: absolute;
        width: 12em;
    }
    .sm-theme li {
        float: left;
    }
    .sm-theme ul li,
    .sm-theme.sm-vertical li {
        float: none;
    }
    .sm-theme a {
        white-space: nowrap;
    }
    .sm-theme ul a,
    .sm-theme.sm-vertical a {
        white-space: normal;
    }
    .sm-theme .sm-nowrap > li > a,
    .sm-theme .sm-nowrap > li > :not(ul) a {
        white-space: nowrap;
    }
    /* ...end */
	
    .sm-theme ul a,
    .sm-theme ul a:hover,
    .sm-theme ul a:focus,
    .sm-theme ul a:active {
        padding: 10px 20px;
        border: 0 !important;
    }
    .sm-theme a span.sub-arrow {
        background-color: transparent;
    }
    .sm-theme ul a span.sub-arrow:before,
    .sm-theme.sm-vertical a span.sub-arrow:before {
		font-size: 90%;
        content: '\f105';
    }
    .sm-theme > li {
        padding-left: 1px;
        background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAIAAAAqCAYAAACZSYp/AAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAElJREFUeNqUjtEKACAIA6cv/f8Pt0wQkiJLEI5xDgVAI6lqILaYMEciuYC+JhrJd3P1D1bHgQHpnIXMcBL05Ow9xRXP4D1DgAEAHfobaWIIv9EAAAAASUVORK5CYII=');
        background-repeat: no-repeat;
        background-position: left center;
    }
    .sm-theme > li:first-child {
        padding-left: 0;
        background: none;
    }
    .sm-theme ul {
        box-shadow: 0 6px 12px rgba(0,0,0,.175);
    }
    .sm-theme span.scroll-up,
    .sm-theme span.scroll-down {
        position: absolute;
        display: none;
        visibility: hidden;
        overflow: hidden;
        height: 20px;
        background-color: #fff;
    }
    .sm-theme span.scroll-up-arrow,
    .sm-theme span.scroll-down-arrow {
        position: absolute;
        top: -2px;
        left: 50%;
        overflow: hidden;
        width: 0;
        height: 0;
        margin-left: -8px;
        border-width: 8px;
        border-style: dashed dashed solid dashed;
        border-color: transparent #555 transparent;
    }
    .sm-theme span.scroll-down-arrow {
        top: 6px;
        border-style: solid dashed dashed dashed;
        border-color: #555 transparent transparent transparent;
    }
    .sm-theme.sm-vertical li {
        padding-left: 0;
        background: none;
    }
}
